Mobileread
[Plugin] ACE - DAISY EPUB Accessibility Checker wrapper
#1  Doitsu 02-09-2018, 03:39 PM
Updated: October 4, 2019
Current Version: "0.2.2"

This plugin is a simple DAISY ACE (=Accessibility Checker for EPUB) wrapper.

Credits: This plugin uses an epubcfi module originally written by Kovid Goyal, which was adapted for Sigil by KevinH.

System requirements:

This plugin requires Sigil 0.9.5 or higher. Obviously, you'll also need to install DAISY ACE. (Theoretically, the plugin should work on Macs, too, however, I couldn't get it to work on a Mac.)

Installation:

1. Visit the Inclusive Publishing website and follow the ACE installation instructions.

2. Select Manage Plugins from the Plugins menu and select Use Bundled Python, if it isn't already selected.

3. Click Add Plugin and select ACE_v0.2.2.zip. This will install the plugin, which you can select via Plugins > Validation > ACE.

If ACE doesn't crash, it'll display all messages in the validation panel and in the default browser.
If you don't want the plugin to display the results in a web browser change the following value in the ACE.json preferences file to false.

Code
{ "html_output": false
}
BTW, KevinH has created an accessibility plugin that'll automatically add recommended attributes to epub files. You can download it here.

Known Issues:

Since the developers apparently haven't implemented the July 2019 recommendations of the EPUB Type to ARIA Role Authoring Guide, ACE 1.1.1 might erroneously flag some tags that can't have ARIA roles attributes.

License: GNU General Public License v3 (GPL-3)
[zip] ACE_0.2.2.zip (13.8 KB, 519 views)
Reply 

#2  elibrarian 02-12-2018, 08:46 AM
Quote Doitsu
Released: February 9, 2018
Current Version: "0.1.0"
Known Issues:

ACE often crashes before generating the report files. Hopefully these crashes will be fixed in future versions.
Just to let you know: I've been using ACE since v. 0.6, and haven't seen a crash yet, neither when I use it by dumping the epub on a batchfile nor by using your plugin (Windows 10 Pro 64 bit).

And thanks for the plugin, it spares my old fingers some clicks

Regards,

Kim
Reply 

#3  KevinH 02-23-2018, 11:53 AM
Hi Doitsu,

I have modifed Kovid's Calibre cfi parsing code to run purely on Python 3 and to return stepnums in a manner that make sense to me (with -1 step indicators to indicate redirection) . With this new cfiparse.py code I should be able write an edit plugin that uses the bk to quickly convert the cfi to find the name of the problem file. I will then write some new code to walk the gumbo tree dom and return a line number and hopefully a correct character offset.

With this information, you should be able to create a validation plugin that will work fully inside Sigil.

Give me another week or so to put something together.

KevinH
Reply 

#4  Doitsu 02-23-2018, 11:58 AM
Quote KevinH
I have modifed Kovid's Calibre cfi parsing code to run purely on Python 3 [...] With this information, you should be able to create a validation plugin that will work fully inside Sigil.


I really appreciate your efforts and will update the plugin once you've released the code.
Reply 

#5  KevinH 02-26-2018, 11:39 AM
See: https://www.mobileread.com/forums/sh...&postcount=358
Reply 

#6  Doitsu 02-26-2018, 11:54 AM
Quote KevinH
See: https://www.mobileread.com/forums/sh...&postcount=358
Thanks! I'll check it out.
Reply 

#7  Doitsu 02-28-2018, 06:03 AM
Thanks to KevinH's help, I was able to convert the plugin from an edit plugin to a validation plugin.
I've attached a new version to the first post.
Reply 

#8  ways2read 05-18-2018, 06:45 AM
Thanks for the great plug in. Able to install and run it without a hitch- good work!
Reply 

#9  ways2read 05-18-2018, 10:29 AM
Quote ways2read
Thanks for the great plug in. Able to install and run it without a hitch- good work!
I should clarify that this was on Windows
Reply 

#10  ways2read 05-18-2018, 10:31 AM
Quote Doitsu
Thanks to KevinH's help, I was able to convert the plugin from an edit plugin to a validation plugin.
I've attached a new version to the first post.
Ace is running fine from terminal on my Macbook.

The plugin fails though. When I look at details, I see:

"Status: failed
Running ACE ... please wait.
-V: ace command not found"
Reply 

  Next »  Last »  (1/3)
Today's Posts | Search this Thread | Login | Register